Bug 593685 - _USERID for condor_master is undocumented
_USERID for condor_master is undocumented
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
1.0
All Linux
low Severity low
: 1.3
: ---
Assigned To: Lana Brindley
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 09:53 EDT by Issue Tracker
Modified: 2013-10-23 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2010-05-19 09:53:56 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2010-05-19 09:53:58 EDT
Event posted on 05-17-2010 11:49am EDT by lans.dw

Description of problem:

We needed to run job_publisher processes under condor_master but as the condor user.  This seemed like something condor_master should be able to accomplish, and indeed it can.  The configuration option, however, is undocumented in the Condor manual:

<SUBSYS>_USERID

I found that implementation at:
src/condor_master.V6/masterDaemon.cpp, around line 630.

Could someone get that documented in the Condor manual upstream?

http://www.cs.wisc.edu/condor/manual/v7.4/3_3Configuration.html

Sample job publisher configuration snapped into condor_ha_scheduler role :

# JobPublisher config
SPOOLDIR = /studio/common/condor/spool
JPBROKER = amqp:tcp:lgb:5672
JPQUEUE = MRGJobQueue
JPINTERVAL = 5

JP = /usr/local/bin/job_publisher
JP_ARGS = --file $(SPOOLDIR)/gld-default/job_queue.log --broker $(JPBROKER) --address $(JPQUEUE) --interval $(JPINTERVAL)
JP_USERID = condor
JP_LOG = $(LOG)/jp.log
DAEMON_LIST = $(DAEMON_LIST), JP

MASTER_HA_LIST = $(MASTER_HA_LIST), SCHEDD, JP
SPOOL = $(SPOOLDIR)/gld-default
HA_LOCK_URL = file:/studio/common/condor/lock
VALID_SPOOL_FILES = $(VALID_SPOOL_FILES), SCHEDD.lock, JP.lock
SCHEDD_NAME = gld-default@

This event sent from IssueTracker by sbeal  [DreamWorks Animation - MRG]
 issue 899533
Comment 5 Lana Brindley 2010-06-15 23:46:20 EDT
In the condor_master config variables section of the Appendix:

<varlistentry>
		<term> <command><replaceable>SUBSYSTEM</replaceable>_USERID</command></term>
		 <listitem>
			<para>
				Specifies the userid under which a subsystem should run.
			</para>
		</listitem>
</varlistentry>

Will be available on the stage for review shortly.

LKB
Comment 7 Jeff Needle 2010-09-16 06:29:50 EDT
In Appendix section A.8 in review doc on stage.  Moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.